Bug 1018024 - Cannot build Indic-language PDFs with Publican 3.99
Cannot build Indic-language PDFs with Publican 3.99
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 22:45 EDT by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-10-10 22:45:58 EDT
Description of problem:
Cannot build Indic-language PDFs with Publican 3.99 

Version-Release number of selected component (if applicable):
publican-3.9.9-0.fc19.t4.noarch

How reproducible:
100%

Steps to Reproduce:
1. Try to build the PDF version of a book in an Indic language

Actual results:
build fails with 

Beginning work on mr-IN
DTD Validation OK
        Starting pdf
        Using XML::LibXSLT on /usr/share/publican/xsl/html-pdf.xsl
Cannot decode string with wide characters at /usr/lib64/perl5/vendor_perl/Encode.pm line 216.

Expected results:
Build succeeds

Additional info:
HTML builds work fine
Comment 1 Jeff Fearn 2013-10-16 02:52:50 EDT
This might be the same issue as is hitting 1018659
Comment 2 Ruediger Landmann 2013-10-17 03:02:21 EDT
Verified in publican-3.9.9-0.fc19.t11.noarch with perl-XML-TreeBuilder-5.0_1-0.fc19.noarch
Comment 3 Ruediger Landmann 2013-10-17 03:19:47 EDT
Sorry; wrong bug :( please ignore comment 2
Comment 4 HSS Product Manager 2013-10-17 20:27:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 5 Jeff Fearn 2013-10-17 22:00:05 EDT
To ssh://git.fedorahosted.org/git/publican.git
   f35a768..a7c63d1  devel -> devel
Comment 6 Ruediger Landmann 2013-10-18 01:04:14 EDT
Fixed in publican-3.9.9-0.fc19.t12.noarch

Note You need to log in before you can comment on or make changes to this bug.